package cn.iocoder.yudao.module.asset.dal.mysql.delivery;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.asset.dal.dataobject.delivery.DeliveryOrderVehicleDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DeliveryOrderVehicleMapper extends BaseMapperX<DeliveryOrderVehicleDO> {

    default List<DeliveryOrderVehicleDO> selectListByOrderId(Long orderId) {
        return selectList(DeliveryOrderVehicleDO::getOrderId, orderId);
    }

    default void deleteByOrderId(Long orderId) {
        delete(DeliveryOrderVehicleDO::getOrderId, orderId);
    }

}
